mpmath (1.4.0~b3-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
  * debian/copyright
    - Update copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 08 Jan 2026 07:13:57 -0500

mpmath (1.4.0~b2-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 13 Nov 2025 23:55:48 -0500

mpmath (1.4.0~b1-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/sympy/objects.inv
    - Update Sphinx inventory file for SymPy 1.14.0.
  * debian/watch
    - Insert tilde before "b" in beta release version numbers.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 06 Sep 2025 00:19:40 -0400

mpmath (1.4.0~a8-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 01 Sep 2025 10:44:38 -0400

mpmath (1.4.0~a7-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/patches/citation-warnings.patch
    - Remove patch; issue fixed upstream.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Aug 2025 12:52:15 -0400

mpmath (1.4.0~a6-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/patches/citation-warnings
    - New patch; fix citation warnings.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 19 Jul 2025 22:46:01 -0400

mpmath (1.4.0~a5-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/control
    - Bump Standards-Version to 4.7.2

 -- Doug Torrance <dtorrance@debian.org>  Wed, 30 Apr 2025 07:05:51 -0400

mpmath (1.4.0~a4-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 17 Feb 2025 06:22:45 -0500

mpmath (1.4.0~a3-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/copyright
    - Fix typo in copyright years for SymPy inventory file.
    - Update my copyright years.
  * debian/patches/numpy-array-copy.patch
    - Remove patch; applied upstream

 -- Doug Torrance <dtorrance@debian.org>  Tue, 28 Jan 2025 20:38:41 -0500

mpmath (1.4.0~a2-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/control
    - Drop python-sympy-doc from Build-Depends; not useful since it no
      longer ships SymPy's objects.inv file.
    - Add python3-hypothesis to Build-Depends; needed for tests.
  * debian/copyright
    - Add license info for SymPy's objects.inv file.
    - Add myself as copyright holder for "debian" directory.
    - Update upstream maintainers' copyright years.
  * debian/patches/intersphinx.patch
    - Update patch with new path to SymPy's objects.inv, since it's no
      longer distributed by the python-sympy-doc package.
  * debian/patches/np-float128.patch
    - Remove patch; applied upstream.
  * debian/patches/numpy-array-copy.patch
    - New patch; only check for NumPy array copy ValueError w/ NumPy >= 2.0.
      No such error is raised when using NumPy < 2.0, which is what we have
      in Debian unstable at the moment.
  * debian/patches/test-cli.patch
    - Remove patch; applied upstream.
  * debian/rules
    - Add rule for downloading SymPy's objects.inv file.
    - Update before-pybuild-autopkgtest target to copy tests from source
      directory instead of installation directory; tests are no longer
      installed.
  * debian/source/include-binaries
    - New file; declare that we are including SymPy's objects.inv file,
      used by Intersphinx for building the documentation.
  * debian/sympy/objects.inv
    - New file; Intersphinx objects file for SymPy.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 15 Oct 2024 20:45:52 -0400

mpmath (1.4.0~a1-1) experimental; urgency=medium

  * New upstream pre-release.
  * debian/control
    - Bump Standards-Version to 4.7.0.
    - Add pybuild-plugin-pyproject to Build-Depends; needed for PEP517
      plugin.
    - Add python3-matplotlib, python3-setuptools-scm, and
      python3-sphinxcontrib.autoprogram to Build-Depends; now needed for
      build.
    - Add python-sympy-doc and python3-doc to Build-Depends; needed for
      intersphinx inventories.
    - Add python3-pexpect to Build-Depends; needed for tests.
    - Add python3-gmpy2 to Build-Depends so we may use gmpy backend during
      tests.
    - Add Testsuite field to for autodep8 tests.
    - Add python-sympy-doc and python3-doc to Recommends for
      python-mpmath-doc; needed to avoid broken links in documentation.
  * debian/watch
    - Use ANY_VERSION and ARCHIVE_EXT special strings.
    - Add uversionmangle option to insert ~ for alpha releases.
  * debian/patches/intersphinx.patch
    - New patch; use local intersphinx inventories since no network during
      build.
  * debian/patches/mathjax.patch
    - Refresh for new upstream release.
  * debian/patches/np-float128.patch
    - New patch; skip np.float128 test if type not available (e.g., on
      i386).
  * debian/patches/test-cli.patch
    - New patch; use "python3" instead of "python3" during tests.
  * debian/rules
    - Remove cruft.
    - Copy conftest.py to build directory for tests.
    - Create ~/.python_history before running tests; necessary for testing
      the cli.
    - Move call to sphinx-build from PYBUILD_AFTER_BUILD to new
      execute_after_dh_auto_build target; otherwise we may build the docs
      multiple times, once for each supported Python version.
    - New before-pybuild-autopkgtest target; copy test files for autopkgtest.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 19 Apr 2024 06:51:06 -0400

mpmath (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of RC-buggy python3-py

    mpmath was keeping python3-py in the key_packages set;
    blocking it's autoremoval.
    https://udd.debian.org/cgi-bin/key_packages.yaml.cgi

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 10:31:14 +0200

mpmath (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Add myself to Uploaders (Closes: #1065220).
    - Bump Standards-Version to 4.6.2.
    - Add dh-sequence-python3 and dh-sequence-sphinxdoc to Build-Depends.
    - Add libjs-mathjax to Build-Depends for python-mpmath-doc; needed to
      render math in docs.
    - Add Rules-Requires-Root field (no).
  * debian/patches/{dont-use-setuptools-scm,PR570}.patch
    - Remove patches; applied upstream.
  * debian/patches/mathjax.patch
    - New patch; use Debian MathJax instead of a CDN in docs.
  * debian/python-mpmath-doc.dirs
    - Remove unnecessary file.
  * debian/python-mpmath-doc.docs
    - Install generated documentation (previously copied in d/rules).
  * debian/python-mpmath-doc.doc-base
    - Remove text documentation
  * debian/rules
    - Stop removing Python 2 file; no longer present.
    - Update build of documentation for new upstream release.  As a
      consequence, artifacts are cleaned up from the build directory
      (Closes: #1048305).
    - Drop override_dh_auto_test target; default now works.
    - Drop --with arguments to dh; unnecessary using dh-sequence-*
      packages.
  * debian/upstream/metadata
    - Remove Homepage; already stored in d/control.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 16 Mar 2024 23:31:47 -0400

mpmath (1.2.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 20:54:33 -0500

mpmath (1.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Sandro Tosi ]
  * debian/patches/PR570.patch
    - fix ReDOS vulnerability, CVE-2021-29063; Closes: #990576

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 22:38:15 -0400

mpmath (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Feb 2021 23:48:11 -0500

mpmath (1.2.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-mpmath-doc: Add Multi-Arch: foreign.

  [ Sandro Tosi ]
  * New upstream release; Closes: #953288
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/patches/dont-use-setuptools-scm.patch
    - dont use setuptools-scm
  * debian/control
    - merge b-d and b-d-i
    - add setuptools to b-d
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Feb 2021 23:37:24 -0500

mpmath (1.1.0-2) unstable; urgency=medium

  * Drop python2 support; Closes: #937089
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years
  * Add upstream metadata information

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Feb 2020 00:03:56 -0500

mpmath (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Dec 2018 22:18:42 -0500

mpmath (1.0.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - update to use github tags, so the tarball will contain code and doc source
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/compat
    - bump to compat level 9
  * debian/control
    - bump Standards-Version to 4.1.1 (no changes needed)
    - add dh-python to b-d
  * Use python3-sphinx to build doc
  * debian/rules
    - run tests from inside the mpmath directory

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/copyright: Changed licence shortname BSD -> BSD-3-clause

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Nov 2017 00:07:40 -0500

mpmath (0.19-3) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sat, 15 Aug 2015 20:04:36 +0100

mpmath (0.19-2) experimental; urgency=medium

  * debian/control
    - switch me to Maintainer (team to Uploaders)
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/watch
    - use PyPI redirector
  * debian/patches/93b3e5ed85feeafcfeb36f3d90524c57871daba3.patch
    - fix polyroots with error=True; thanks to Richard B. Kreckel for the
      report; Closes: #781222

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2015 16:57:49 +0100

mpmath (0.19-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - replace b-d on python-codespeak-lib to python-py; thanks to Michael
      Tautschnig for the report; Closes: #749435
  * debian/{control, copyright}
    - update upstream homepage URL
  * debian/watch
    - update download URL
  * debian/copyright
    - switch to DEP-5 format
    - updated upstream & packaging copyright years
  * Switch to dh_python2

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Jul 2014 22:45:29 +0100

mpmath (0.18-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - switch to gmpy2; thanks to Martin Kelly for the report; Closes: #731205
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/watch
    - changed to new download location
  * debian/copyright
    - extended upstream and packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Jan 2014 21:05:13 +0100

mpmath (0.17-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/copyright
    - extend packaging copyright years
  * debian/source/format
    - switch to '3.0 (quilt)' source format
  * debian/README.source
    - removed, not needed anymore
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Sep 2013 15:19:57 +0200

mpmath (0.17-2) experimental; urgency=low

  * debian/control
    - remove Ondrej from Uploaders; thanks!
    - removed DM-U-A flag
    - bump Standards-Version to 3.9.3 (no changes needed)
    - add python-pytest to b-d-i, needed to run tests
  * debian/{control, rules}
    - use dh_sphinxdoc
    - convert to dh sequencer
    - provide the Python 3 package; Closes: #624101
  * debian/rules
    - remove files not compatible with python2 from python-mpmath package;
      Closes: #679200, #624105

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Aug 2012 17:55:36 +0200

mpmath (0.17-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608762
    - use --install-layout=deb when installing
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - set XS-Python-Version to 'all'

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2011 17:23:45 +0200

mpmath (0.16-1) experimental; urgency=low

  * New upstream release
  * debian/watch
    - updated to fetch the full (code+doc) tarball
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Dec 2010 21:12:40 +0100

mpmath (0.15-1) unstable; urgency=low

  [ Sameer Rahmani ]
  * Watch file fixed.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - added texlive-latex-extra to b-d, needed to build documentation

 -- Sandro Tosi <morph@debian.org>  Mon, 21 Jun 2010 20:58:49 +0200

mpmath (0.14-1) unstable; urgency=low

  * New upstream releae
  * debian/copyright
    - extend packaging copyright years
    - extend upstream copyright years
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Feb 2010 00:19:00 +0100

mpmath (0.13-2) unstable; urgency=low

  * debian/python-mpmath-doc.doc-base
    - added doc-base
  * debian/rules
    - workaround to not FTBFS if tests fail, partially addressing #560631; I
      know it's quite ugly, but I want to give time to upstream to work on it
      while keeping the package buildable

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Jan 2010 00:15:01 +0100

mpmath (0.13-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/{control, patches/, rules}
    - removed dpatch, no more needed
  * debian/rules
    - run tests with '-local' instead of playing with PYTHONPATH

 -- Sandro Tosi <morph@debian.org>  Tue, 01 Sep 2009 22:22:38 +0200

mpmath (0.12-1) unstable; urgency=low

  * New upstream release
    - pi calculation precision fixed; Closes: #530381
  * debian/{control, rules}
    - added dpatch
  * debian/patches/10_fix_test.dpatch
    - added to fix test execution (solution provided by upstream author)
  * debian/control
    - bump Standards-Version to 3.8.1
      + added debian/README.source

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Jun 2009 08:04:37 +0200

mpmath (0.11-2) unstable; urgency=low

  * Uploading to unstable, since Lenny has been released
  * debian/copyright
    - relicensed packaging under the same upstream code terms
  * debian/rules
    - merged 'rm' call into 'dh_clean' one

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Feb 2009 01:48:33 +0100

mpmath (0.11-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - added versioned build-dep on python-sphinx since using newer APIs
    - added texlive-latex-base and dvipng to build-dep since needed to build doc
    - expanded long description
  * debian/copyright
    - extended copyright years, fixing the copyright holders names
    - fixed copyright notice and years for packaging
    - restored upstream verbatim LICENSE text, with not paragraphs formatting
  * debian/{control,dirs,rules,debian/python-mpmath-doc.docs}
    - added -doc package, renaming 'dirs' to 'python-mpmath-doc.dirs'

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Jan 2009 19:34:32 +0100

mpmath (0.10-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - added python-matplotlib to suggest, because upstrem now support plotting
  * debian/{control,copyright}
    - updated my email address
  * debian/patches/10_fix_doc_version.dpatch
    - removed since fixed upstream
  * debian/patches/20_fix_nan_or_inf_div_by_2n.dpatch
    - removed since merged upstream
  * debian/{control,patches/*,rules}
    - removed dpatch stuff
  * debian/rules
    - added local mpmath module location in doc build command

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Oct 2008 18:54:45 +0200

mpmath (0.9-2) unstable; urgency=low

  * debian/control
    - added minimal version for python-gmpy (1.03)
    - removed capitalization from short description
    - removed additional spaces from long description

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 26 Aug 2008 20:29:17 +0200

mpmath (0.9-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - added python-gmpy to suggests (used when available to speed-up high
      precision calculations)
    - added python-sphinx to build-dep-indep (to build documentation)
    - bump Standards-Version to 3.8.0 (no changes needed)
    - added libjs-jquery to depends, needed for sphinx doc
    - added dpatch to build-dep
    - added python-codespeak-lib to build-dep-indep (needed to run tests)
  * debian/rules
    - build and install sphinx doc
    - removed embedded jquery.js, linking to the one from libjs-jquery
    - added dh_link call
    - enabled dpatch stuff
    - added execution of tests at build time
    - added removal of compiled Python code; thanks to Piotr for the fix
  * debian/copyright
    - extended copyright years
  * debian/patches/10_fix_doc_version.dpatch
    - added to fix the doc version of mpmath
  * debian/patches/20_fix_nan_or_inf_div_by_2n.dpatch
    - backported from upstream SVN: fix inf/2**n and nan/2**n returning zero
  * debian/dirs
    - added to create doc subdirs

  [ Ondrej Certik ]
  * Ondrej Certik added to Uploaders

  [ Piotr Ożarowski ]
  * added "DM-Upload-Allowed: yes"

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 24 Aug 2008 00:49:28 +0200

mpmath (0.8-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_setup.py.dpatch
    - removed since merged upstream
  * debian/control
    - removed dpatch build-dep since no more needed
  * debian/rules
    - commented out dpatch stuff since no more needed (but maybe in the future
      will be used again)
    - updated doc location for installation

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 24 Apr 2008 07:36:52 +0200

mpmath (0.7-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - added doc/* file installation
    - added dpatch stuff
  * debian/control
    - added dpatch build-dep
  * debian/patches/10_setup.py.dpatch
    - added to remove demo directory installation

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 13 Mar 2008 23:07:31 +0100

mpmath (0.6-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - removed examples installation since no more in upstream tarball

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 14 Jan 2008 20:35:40 +0100

mpmath (0.5-1) unstable; urgency=low

  * Initial release (Closes: #453024)

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 06 Dec 2007 01:18:50 +0100
